commit:     4473cfa41f7d013af8bf7d967ea5ceac773136eb
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  1 14:04:36 2016 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Apr  1 14:09:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4473cfa4

sys-apps/coreutils: Move kill to /bin per FHS

This also makes it consistent with procps and util-linux.

Package-Manager: portage-2.2.28_p64

 sys-apps/coreutils/coreutils-8.24.ebuild | 5 ++++-
 sys-apps/coreutils/coreutils-8.25.ebuild | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/sys-apps/coreutils/coreutils-8.24.ebuild 
b/sys-apps/coreutils/coreutils-8.24.ebuild
index b350b02..bf3fac7 100644
--- a/sys-apps/coreutils/coreutils-8.24.ebuild
+++ b/sys-apps/coreutils/coreutils-8.24.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -147,6 +147,9 @@ src_install() {
                local fhs="cat chgrp chmod chown cp date dd df echo false ln ls
                           mkdir mknod mv pwd rm rmdir stty sync true uname"
                mv ${fhs} ../../bin/ || die "could not move fhs bins"
+               if use kill; then
+                       mv kill ../../bin/ || die
+               fi
                # move critical binaries into /bin (common scripts)
                local com="basename chroot cut dir dirname du env expr head 
mkfifo
                           mktemp readlink seq sleep sort tail touch tr tty 
vdir wc yes"

diff --git a/sys-apps/coreutils/coreutils-8.25.ebuild 
b/sys-apps/coreutils/coreutils-8.25.ebuild
index 4e858f9..706651c 100644
--- a/sys-apps/coreutils/coreutils-8.25.ebuild
+++ b/sys-apps/coreutils/coreutils-8.25.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -147,6 +147,9 @@ src_install() {
                local fhs="cat chgrp chmod chown cp date dd df echo false ln ls
                           mkdir mknod mv pwd rm rmdir stty sync true uname"
                mv ${fhs} ../../bin/ || die "could not move fhs bins"
+               if use kill; then
+                       mv kill ../../bin/ || die
+               fi
                # move critical binaries into /bin (common scripts)
                local com="basename chroot cut dir dirname du env expr head 
mkfifo
                           mktemp readlink seq sleep sort tail touch tr tty 
vdir wc yes"

Reply via email to